---
# Octavia options
octavia_auto_configure: false
octavia_loadbalancer_topology: "ACTIVE_STANDBY"
octavia_amp_boot_network_list: "bb2c4dd9-4630-469f-996e-be072480fac0"
octavia_amp_secgroup_list: "4329892e-ce04-445c-9c42-c8ea85d685f7"
octavia_amp_flavor_id: "4c70349e-d8ae-4648-a79d-24e7de12d448"

# Ceph
# These are the keyrings that differ from the kolla-ansible defaults
ceph_cinder_user: arcus-staging-cinder
ceph_cinder_keyring: ceph.client.arcus-staging-cinder.keyring
ceph_cinder_backup_keyring: ceph.client.arcus-staging-cinder-backup.keyring
ceph_glance_keyring: ceph.client.arcus-staging-glance.keyring

# OIDC federated login - staging specific
keystone_identity_providers:
  - name: "keycloak"
    openstack_domain: "a954da5cadb94a7a9d1621be0a1acc25"
    protocol: "mapped"
    identifier: "https://id.hpc.cam.ac.uk/auth/realms/arcus"
    public_name: "Authenticate via keycloak"
    attribute_mapping: "keycloak_mapping"
    metadata_folder: "{{ kayobe_config_path }}/environments/staging/arcus-idp-conf/idp"
  - name: "iris-iam"
    openstack_domain: "iris"
    protocol: "openid"
    identifier: "https://iris-iam.stfc.ac.uk/"
    public_name: "Authenticate via IRIS-IAM"
    attribute_mapping: "iris_mapping"
    metadata_folder: "{{ kayobe_config_path }}/environments/staging/arcus-idp-conf/idp"
  - name: "ska-iam"
    openstack_domain: "ska"
    protocol: "openid"
    identifier: "https://ska-iam.stfc.ac.uk/"
    public_name: "Authenticate via SKA-IAM"
    attribute_mapping: "ska_mapping"
    metadata_folder: "{{ kayobe_config_path }}/environments/staging/arcus-idp-conf/idp"

keystone_identity_mappings:
  - name: "keycloak_mapping"
    file: "{% raw %}{{ node_custom_config }}{% endraw %}/keystone/keycloak_identity-mappings.json"
  - name: "iris_mapping"
    file: "{% raw %}{{ node_custom_config }}{% endraw %}/keystone/iris_identity-mappings.json"
  - name: "ska_mapping"
    file: "{% raw %}{{ node_custom_config }}{% endraw %}/keystone/ska_identity-mappings.json"

# Reduce OpenSearch memory usage
opensearch_heap_size: "2g"

####
#RL9 Migration
####

# This settings are needed only for the timeframe of migration to Rocky Linux 9, when CentOS Stream 8 or Rocky Linux 8 hosts with Libvirt on the hosts exists in the environment.
enable_nova_libvirt_container: "{% raw %}{{ ansible_facts.distribution_major_version == '9' }}{% endraw %}"

# Issues have been seen when attempting to backup the MariaDB database, mariabackup was segfaulting. This was avoided by reverting to an old MariaDB container image:
#mariabackup_image_full: "{{ docker_registry }}/stackhpc/rocky-source-mariadb-server:yoga-20230310T170929"
